# -*- coding: utf-8 -*-
## PlonePopoll: A Plone poll tool
## Copyright (C)2005 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
"""
    PlonePopoll product
"""
__docformat__ = 'restructuredtext'


# CMF imports
from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import CMFCorePermissions
from Products.CMFCore.utils import ContentInit, ToolInit

# AT imports
from Products.Archetypes.public import process_types, listTypes

# Product import
from Products.PlonePopoll.PlonePopollTool import *
from Products.PlonePopoll.PlonePopollBackend import *
from Products.PlonePopoll.config import *
from Products.PlonePopoll.content import *

registerDirectory(SKINS_DIR, GLOBALS)

# Initialization method
def initialize(context):
    listOfTypes = listTypes(PROJECTNAME)
    content_types, constructors, ftis = process_types(listOfTypes, PROJECTNAME)
                                                       
    ContentInit(PROJECTNAME + ' Content',
                content_types      = content_types,
                permission         = PlonePopoll_addPermission,
                extra_constructors = constructors,
                fti                = ftis,
    ).initialize(context)

    ToolInit('%s Tool' % PROJECTNAME,
             tools        = (PlonePopollTool,),
             product_name = PROJECTNAME,
             icon         = 'tool.gif',
    ).initialize(context)

    
    # This has to be improved so that only PlonePopollManager objects can hold PlonePopollBackends
    # and PlonePopollBackends can be derived.
    context.registerClass(
        PlonePopollZODBBackend,
        permission='Add PlonePopollManagers',
        constructors=(manage_addPlonePopollZODBBackend,),
        visibility=None,
        icon='www/PlonePopollBackend.gif',
        )

    context.registerClass(
        PlonePopollZSQLBackend,
        permission='Add PlonePopollManagers',
        constructors=(manage_addPlonePopollZSQLBackend,),
        visibility=None,
        icon='www/PlonePopollBackend.gif',
        )
