# -*- coding: utf-8 -*-
## PlonePopoll: A Plone poll tool
## Copyright (C)2005 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

"""
    PlonePopoll
"""
__docformat__ = 'restructuredtext'

# CMF imports
from Products.CMFCore import CMFCorePermissions

# Archetypes imports
from Products.Archetypes.public import *

PollSchema = BaseSchema.copy() + Schema((
    StringField(
        'question',
        required   = True,
        widget     = StringWidget(
             label            = 'Question',
            label_msgid       = 'label_question',
            description       = 'Enter the Poll question.',
            description_msgid = 'help_question',
        ),
    ),
    LinesField(
        'choices',
        required   = True,
        widget     = LinesWidget(
            label             = 'Answers',
            label_msgid       = 'label_answers',
            description       = 'Enter each possible answer on one line.',
            description_msgid = 'help_answers',
        ),
    ),
    IntegerField(
        'number_of_choices',
        default    = 1,
        widget     = IntegerWidget(
            label             = 'Choice count',
            label_msgid       = 'label_choice_count',
            description       = 'Enter the number of choices available.',
            description_msgid = 'label_choice_count',
        ),
    ),
    BooleanField(
        'visible',
        default    = True,
        accessor   = 'isVisible',
        widget     = BooleanWidget(
            label             = 'Poll Results Visibility',
            label_msgid       = 'label_results_visible',
            description       = 'Select whether you want the Poll results to be visible.',
            description_msgid = 'help_results_visible'
        )
    ),
    BooleanField(
        'enabled',
        default    = False,
        accessor   = 'isEnabled',
        widget     = BooleanWidget(
            label             = 'Poll Status',
            label_msgid       = 'label_poll_status',
            description       = 'Select whether you want the Poll to be enabled.',
            description_msgid = 'help_poll_status'
        )
    ),
))